<template>
  <v-flex xs10 offset-xs1>
    <br>
    <v-card>
      <v-card-text>
        <v-layout wrap>
          <v-flex xs4>
            <div id="imgs" class="mx-2">
              <v-carousel height="280">
                <v-carousel-item v-for="sprite in Object.values(sprites)" :src="sprite">
                </v-carousel-item>
              </v-carousel>
            </div>
          </v-flex>
          <v-flex xs8>
            <v-card-title class="mx-4">
                <h1>{{ capitalize(nombre) }}</h1><v-spacer></v-spacer><h2 color="gray"># {{numero}}</h2>
            </v-card-title>

            <v-container>
              <v-layout>
                <v-flex xs12>
                  <v-card
                    color="#e8aaa9"
                  >
                    <v-layout wrap>
                      <v-flex xs6>
                        <v-card-text>
                          <h3>Estatura</h3>
                          {{estatura/10}} metros
                        </v-card-text>
                      </v-flex>
                      <v-flex xs6>
                        <v-card-text>
                          <h3>Peso</h3>
                          {{peso/10}} kilogramos
                        </v-card-text>
                      </v-flex>
                      <v-flex xs6>
                        <v-card-text>
                          <h3>Tipo</h3>
                          <ul>
                            <li v-for="tipo in tipos">{{tipo}}</li>
                          </ul>
                        </v-card-text>
                      </v-flex>
                      <v-flex xs6>
                        <v-card-text>
                          <h3>Habilidades</h3>
                          <ul>
                            <li v-for="abilidad in habilidades">{{abilidad}}</li>
                          </ul>
                        </v-card-text>
                      </v-flex>
                    </v-layout>
                  </v-card>
                </v-flex>
              </v-layout>
            </v-container>

          </v-flex>
        </v-layout>

      </v-card-text>
    </v-card>
  </v-flex>

</template>

<script>
import PokemonService from '@/services/PokemonServices'
export default {
  props: ['id'],
  data(){
    return {
      nombre: '',
      numero: 0,
      sprites:[],
      tipos: [],
      data: [],
      estatura: 0,
      peso: 0,
      categoria: '',
      habilidades: []
    }
  },
  methods:{
    capitalize(palabra) {
      return palabra.replace(/(?:^|\s)\S/g, function(a) { return a.toUpperCase(); });
    },
    obtenerPokemon(id){
      PokemonService.getPokemon(id)
        .then(response => {
          this.nombre = response.data.name
          this.numero = response.data.id
          this.sprites = []
          for (var i in response.data.sprites){
            if (response.data.sprites[i])
              this.sprites.push(response.data.sprites[i])
          }
          this.sprites.reverse()
          this.tipos = []
          for (let i=0, len=response.data.types.length; i < len; i++ ){
            this.tipos.push(response.data.types[i].type.name)
          }
          this.estatura = response.data.height
          this.peso = response.data.weight
          this.categoria = response.data.category
          this.habilidades = []
          for (let i=0, len=response.data.types.length; i < len; i++ ){
            this.habilidades.push(response.data.abilities[i].ability.name)
          }
    })
    }
  },
  created(){
    this.obtenerPokemon(this.id)
  },
  watch:{
    id(){
      this.obtenerPokemon(this.id)
    }
  }

}
</script>
<style>
#imgs{
  box-shadow: 5px 5px 25px #222 inset;
}

</style>
